## lzop 1.04

=== CMakeLists.txt ===
#
# CMakeLists.txt --- a "CMake" file for building lzop
#
# This file is part of the lzop file compressor.
#   http://www.oberhumer.com/opensource/lzop/
#
# Copyright (C) 1996-2017 Markus Franz Xaver Johannes Oberhumer
# All Rights Reserved.
#

cmake_minimum_required(VERSION 3.0 FATAL_ERROR)

#
# simple usage example (Unix):
#     mkdir -p build && cd build && cmake .. && make
#
# simple usage example (Windows MSVC):
#     md build
#     cd build
#     cmake .. -G "NMake Makefiles"
#     nmake
#
# another usage example (Unix):
#     mkdir -p build/release-i686
#     cd       build/release-i686
#     cmake ../.. \
#         -DCMAKE_C_COMPILER=gcc -DCMAKE_C_FLAGS="-m32 -march=i686" \
#         -DCMAKE_INSTALL_PREFIX=/opt/local/prefix-i686
#     make VERBOSE=1
#     make install
#
# see http://www.cmake.org/ for more info
#

# /***********************************************************************
# // init
# ************************************************************************/

# Disallow in-source builds. Note that you will still have to manually
# clean up a few files if you accidentally try an in-source build.
set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)
set(CMAKE_DISABLE_SOURCE_CHANGES  ON)
if(",${CMAKE_SOURCE_DIR}," STREQUAL ",${CMAKE_BINARY_DIR},")
    message(FATAL_ERROR "ERROR: In-source builds are not allowed.")
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "" FORCE)
endif()

project(lzop VERSION 1.04 LANGUAGES C)

# install directories
if(NOT CMAKE_INSTALL_PREFIX)
    message(FATAL_ERROR "ERROR: CMAKE_INSTALL_PREFIX is not defined.")
endif()
include(GNUInstallDirs)

# FindLZO
include(FindPkgConfig QUIET)
pkg_check_modules(LZO lzo2)
if(NOT LZO_INCLUDE_DIRS)
    #set(LZO_INCLUDE_DIRS /usr/local/include)
endif()
if(NOT LZO_LIBRARIES)
    set(LZO_LIBRARIES lzo2)
endif()

# /***********************************************************************
# // targets
# ************************************************************************/

file(GLOB lzop_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/src/*.c")
list(SORT lzop_SOURCES)

add_executable(lzop ${lzop_SOURCES})
target_include_directories(lzop PRIVATE ${LZO_INCLUDE_DIRS})
target_link_libraries(lzop ${LZO_LIBRARIES})

# /***********************************************************************
# // compilation flags
# // this section currently mostly matches the Autoconf version
# ************************************************************************/

include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckLibraryExists)
include(CheckSymbolExists)
include(CheckTypeSize)
include(TestBigEndian)

if(MSVC)
    # disable silly warnings about using "deprecated" POSIX functions like fopen()
    add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
    add_definitions(-D_CRT_NONSTDC_NO_WARNINGS)
    add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif()

# Checks for header files
macro(mfx_check_include_file f var)
    check_include_file("${f}" "mfx_${var}")
    if(NOT ",${mfx_${var}}," STREQUAL ",,")
        add_definitions(-D${var}=1)
        set(mfx_${var} 1)
    else()
        set(mfx_${var} 0)
    endif()
endmacro()
# mfx_ACC_CHECK_HEADERS
set(l assert.h ctype.h dirent.h errno.h fcntl.h float.h limits.h malloc.h memory.h setjmp.h signal.h stdarg.h stddef.h stdint.h stdio.h stdlib.h string.h strings.h time.h unistd.h utime.h sys/mman.h sys/resource.h sys/stat.h sys/time.h sys/types.h sys/wait.h)
foreach(f ${l})
    string(TOUPPER "${f}" var)
    string(REGEX REPLACE "[^0-9A-Z_]" "_" var "${var}")
    mfx_check_include_file("${f}" "HAVE_${var}")
endforeach()

# Checks for typedefs and structures
macro(mfx_check_type_size type var)
    check_type_size("${type}" "mfx_${var}")
    if("${mfx_${var}}" MATCHES "^[1-9][0-9]*$")
        add_definitions(-D${var}=${mfx_${var}})
    else()
        set(mfx_${var} 0)
    endif()
endmacro()
# mfx_ACC_CHECK_SIZEOF + mfx_CHECK_SIZEOF
set(l short int long "long long" __int16 __int32 __int64 "void *" size_t ptrdiff_t intmax_t uintmax_t intptr_t uintptr_t float double "long double" dev_t fpos_t mode_t off_t ssize_t time_t)
foreach(f ${l})
    string(TOUPPER "${f}" var)
    string(REGEX REPLACE " \\*" "_P" var "${var}")
    string(REGEX REPLACE "[^0-9A-Z_]" "_" var "${var}")
    mfx_check_type_size("${f}" "SIZEOF_${var}")
endforeach()

# Checks for library functions
macro(mfx_check_function_exists func var)
    check_function_exists("${func}" "mfx_${var}")
    if(NOT ",${mfx_${var}}," STREQUAL ",,")
        add_definitions(-D${var}=1)
        set(mfx_${var} 1)
    else()
        set(mfx_${var} 0)
    endif()
endmacro()
# mfx_ACC_CHECK_FUNCS
set(l access alloca atexit atoi atol chmod chown clock_getcpuclockid clock_getres clock_gettime ctime difftime fstat getenv getpagesize getrusage gettimeofday gmtime isatty localtime longjmp lstat memcmp memcpy memmove memset mkdir mktime mmap mprotect munmap qsort raise rmdir setjmp signal snprintf strcasecmp strchr strdup strerror strftime stricmp strncasecmp strnicmp strrchr strstr time umask utime vsnprintf)
foreach(f ${l})
    string(TOUPPER "${f}" var)
    string(REGEX REPLACE "[^0-9A-Z_]" "_" var "${var}")
    mfx_check_function_exists("${f}" "HAVE_${var}")
endforeach()

# mfx_ACC_CHECK_ENDIAN
TEST_BIG_ENDIAN(big_endian)
if ("${big_endian}" MATCHES "^1$")
    add_definitions(-DACC_ABI_BIG_ENDIAN=1)
elseif ("${big_endian}" MATCHES "^0$")
    add_definitions(-DACC_ABI_LITTLE_ENDIAN=1)
else()
    message(FATAL_ERROR "ERROR: TEST_BIG_ENDIAN failed with result '${big_endian}'.")
endif()

# LZOP_HAVE_CONFIG_H
add_definitions(-DACC_CFG_NO_CONFIG_HEADER=1)

# warnings
foreach(t lzop)
    if(CMAKE_C_COMPILER_ID MATCHES "^(Clang|GNU)$")
        target_compile_options(${t} PRIVATE -Wall -W -Wcast-qual)
    endif()
endforeach()

# /***********************************************************************
# // "make test"
# ************************************************************************/

include(CTest)
add_test(NAME lzoptest-01 COMMAND lzop "${CMAKE_CURRENT_SOURCE_DIR}/COPYING" -o "COPYING.lzo")

# /***********************************************************************
# // "make install"
# ************************************************************************/

if(DEFINED CMAKE_INSTALL_FULL_LIBDIR)

install(TARGETS lzop DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

set(f AUTHORS COPYING NEWS README THANKS doc/lzop.html doc/lzop.man doc/lzop.pod doc/lzop.ps doc/lzop.tex doc/lzop.txt)
install(FILES ${f} DESTINATION "${CMAKE_INSTALL_FULL_DOCDIR}")
install(FILES doc/lzop.1 DESTINATION "${CMAKE_INSTALL_FULL_MANDIR}/man1")

endif() # CMAKE_INSTALL_FULL_LIBDIR

if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/CMakeLists.maint.txt")
include("${CMAKE_CURRENT_SOURCE_DIR}/CMakeLists.maint.txt")
endif()

# finally print some info about the build-type
if(CMAKE_CONFIGURATION_TYPES)
message(STATUS "CMAKE_CONFIGURATION_TYPES = ${CMAKE_CONFIGURATION_TYPES}")
endif()
if(CMAKE_BUILD_TYPE)
message(STATUS "CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}")
endif()

# vim:set ft=cmake ts=4 sw=4 tw=0 et:

## lzop 1.01-3osso2

=== debian/changelog ===
lzop (1.01-3osso2) unstable; urgency=low

  * remove acconfig/shtool due to license issues (part under Apache license) 

 -- Lauri Mylläri <ext-lauri.myllari@nokia.com>  Fri, 23 Feb 2007 15:16:12 +0200

lzop (1.01-3osso1) unstable; urgency=low

  * added thumb mode to DEB_BUILD_OPTIONS parsing

 -- Lauri Mylläri <ext-lauri.myllari@nokia.com>  Fri, 16 Feb 2007 14:25:14 +0200

lzop (1.01-3) unstable; urgency=medium

  * Tightened dependencies, because lzop does a run-time check requiring
    the exact library version that it was compiled with (closes: #273948)
  * Added lintian override because of the above

 -- Peter Eisentraut <peter_e@gmx.net>  Thu, 30 Sep 2004 00:34:42 +0200

lzop (1.01-2) unstable; urgency=medium

  * New maintainer (closes: #265727)
  * Used DESTDIR for installation, so files get installed properly under
    /usr (closes: #231310)
  * Removed content-free README.debian
  * Completed copyright information
  * Revised descriptions
  * Added watch file
  * Removed redundant documentation that just copied the man page.
  * NEWS now installed as changelog
  * Forced LFS compilation flags onto the command line (closes: #200334)
  * Updated rules to debhelper 4 conventions
  * Updated standards version

 -- Peter Eisentraut <peter_e@gmx.net>  Fri, 17 Sep 2004 22:52:00 +0200

lzop (1.01-1) unstable; urgency=low

  * New upstream release (big file support included: closes: bug#196593).
  * Better formatting of description (closes: bug#129488).
  * The tarball no longer includes dubious copyrighted code (closes: bug#131733).
  * New upstream package builds fine with gcc-3.3 (closes: bug#195155).
  * --no-stdin should not be necessary any longer (closes: bug#91225).

 -- Paolo Molaro <lupus@debian.org>  Sun,  8 Jun 2003 13:21:07 +0200

lzop (1.00-4) unstable; urgency=low

  * Update config.sub config.guess to allow for new archs.
  * Add build-depends (Closes: bug#102278).
  * Rebuilt with new debhelper (Closes: bug#91206, #91573).

 -- Paolo Molaro <lupus@debian.org>  Sat, 30 Jun 2001 16:07:36 +0200

lzop (1.00-3) frozen unstable; urgency=low

  * Upload to frozen as well.
  * Note to release manager: the last two revisions only remove
  an ugly directory and add the frozen distribution, so no new code.

 -- Paolo Molaro <lupus@debian.org>  Tue,  3 Nov 1998 17:25:55 +0100

lzop (1.00-2) unstable; urgency=low

  * Remove /man directory: bug #28803 and #28800.

 -- Paolo Molaro <lupus@debian.org>  Mon,  2 Nov 1998 09:49:13 +0100

lzop (1.00-1) unstable; urgency=low

  * New upstream release.

 -- Paolo Molaro <lupus@debian.org>  Fri, 16 Oct 1998 14:22:19 +0200

lzop (0.95-1) unstable; urgency=low

  * Initial Release.

 -- Paolo Molaro <lupus@debian.org>  Wed, 18 Feb 1998 13:47:29 +0100

=== debian/control ===
Source: lzop
Section: utils
Priority: optional
Maintainer: Lauri Mylläri <ext-lauri.myllari@nokia.com>
Standards-Version: 3.6.1.1
Build-depends: liblzo-dev (>= 1.08), liblzo-dev (<< 1.09), debhelper (>= 4)

Package: lzop
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, liblzo1 (>= 1.08), liblzo1 (<< 1.09)
Description: fast compression program
 lzop is a compressor similar to gzip.  Its main advantages over gzip
 are much higher compression and decompression speed.
 lzop was designed with the following goals in mind:
  1) reliability
  2) speed (both compression and decompression)
  3) reasonable drop-in compatibility with gzip
  4) portability
 .
 Home page: http://www.lzop.org/

=== debian/rules ===
#!/usr/bin/make -f


DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build=$(DEB_HOST_GNU_TYPE)
else
  confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif


CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0 -g3
else
        CFLAGS += -O2 -g
endif

ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

CFLAGS += $(shell getconf LFS_CFLAGS)


build: build-stamp
build-stamp:
	dh_testdir
	./configure CFLAGS="$(CFLAGS)" $(confflags) --prefix=/usr
	$(MAKE)
	touch build-stamp


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub acconfig/config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess acconfig/config.guess
	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/lzop
	rm -rf $(CURDIR)/debian/lzop/usr/man/
	install -m 644 debian/lintian-overrides $(CURDIR)/debian/lzop/usr/share/lintian/overrides/lzop


binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman doc/lzop.1
	dh_installchangelogs NEWS
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch


.PHONY: build clean install binary-indep binary-arch binary

=== debian/watch ===
version=2
http://www.lzop.org/ download/lzop-([0-9.]+).tar.gz

## lzop 1.03

=== debian/changelog ===
lzop (1.03-3) unstable; urgency=low

  * Remove extra tight dependencies on liblzo; they are not needed anymore

 -- Peter Eisentraut <petere@debian.org>  Tue, 08 Nov 2011 21:13:09 +0200

lzop (1.03-2) unstable; urgency=low

  * Updated dependencies for new lzo version
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Wed, 06 Jul 2011 07:26:48 +0300

lzop (1.03-1) unstable; urgency=low

  * New upstream release (closes: #610733)
  * Updated dependencies for new lzo version (closes: #614217)
  * Changed source format to 3.0 (quilt)
  * Removed redundant section fields
  * Pointed copyright to non-symlinked version of GPL file
  * Updated standards version
  * Added upstream contact email in debian/copyright (closes: #520679)

 -- Peter Eisentraut <petere@debian.org>  Sat, 26 Feb 2011 15:36:37 +0200

lzop (1.02~rc1-2) unstable; urgency=low

  * Updated standards version
  * Added Homepage control field
  * Changed to debhelper level 6; allows use of dh_lintian
  * Updated build dependencies for new lzo2 version
  * Uploaded to unstable, to advance transition to lzo2

 -- Peter Eisentraut <petere@debian.org>  Tue, 06 May 2008 10:54:22 +0200

lzop (1.02~rc1-1) experimental; urgency=low

  * New upstream release candidate
  * Now built against lzo2
  * Updated watch file for release candidates
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Sat, 16 Jun 2007 17:57:27 +0200

lzop (1.01-4) unstable; urgency=low

  * Changed maintainer address
  * Updated standards version
  * Changed build system to CDBS
  * Changed to debhelper level 5

 -- Peter Eisentraut <petere@debian.org>  Mon, 23 Jan 2006 13:26:11 +0100

=== debian/control ===
Source: lzop
Section: utils
Priority: optional
Maintainer: Peter Eisentraut <petere@debian.org>
Standards-Version: 3.9.2
Build-Depends: cdbs (>= 0.4.52), debhelper (>= 6.0.7), liblzo2-dev
Homepage: http://www.lzop.org/

Package: lzop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fast compression program
 lzop is a compressor similar to gzip.  Its main advantages over gzip are
 much higher compression and decompression speed.  lzop was designed with
 the following goals in mind:
  1) reliability
  2) speed (both compression and decompression)
  3) reasonable drop-in compatibility with gzip
  4) portability

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_INSTALL_CHANGELOGS_ALL = NEWS
DEB_INSTALL_DOCS_ALL = AUTHORS THANKS

## lzop 1.03-1drbl

=== debian/changelog ===
lzop (1.03-1drbl) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 May 2011 10:23:07 +0800

=== debian/control ===
Source: lzop
Section: utils
Priority: optional
Maintainer: Peter Eisentraut <petere@debian.org>
Standards-Version: 3.7.3
Build-Depends: cdbs (>= 0.4.52), debhelper (>= 6.0.7), liblzo2-dev (>= 2.03), liblzo2-dev (<< 2.04~)
Homepage: http://www.lzop.org/

Package: lzop
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, liblzo2-2 (>= 2.03), liblzo2-2 (<< 2.04~)
Description: fast compression program
 lzop is a compressor similar to gzip.  Its main advantages over gzip are
 much higher compression and decompression speed.  lzop was designed with
 the following goals in mind:
  1) reliability
  2) speed (both compression and decompression)
  3) reasonable drop-in compatibility with gzip
  4) portability

## lzop 1.03-2drbl

=== debian/changelog ===
lzop (1.03-2drbl) unstable; urgency=low

  * Remove liblzo dependence since it's static linking.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 May 2011 13:02:46 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: lzop
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, liblzo2-2 (>= 2.03), liblzo2-2 (<< 2.04~)
+Depends: ${shlibs:Depends}
 Description: fast compression program
  lzop is a compressor similar to gzip.  Its main advantages over gzip are
  much higher compression and decompression speed.  lzop was designed with

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,4 @@
 
 DEB_INSTALL_CHANGELOGS_ALL = NEWS
 DEB_INSTALL_DOCS_ALL = AUTHORS THANKS
+LDFLAGS+="-static"

## lzop 1.03.1

=== debian/changelog ===
lzop (1.03.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: e73e8676ddf80f0856dff74db1b42c4567a31995']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 20:33:25 +0000

## lzop 1.04

=== debian/changelog ===
lzop (1.04-2) unstable; urgency=medium

  * Indicate that lzop can satisfy dependencies for different
    architectures; thanks to Bastian Germann for the hint!
    Closes: #973609.
  * Switch to debhelper compatibility level 13.
  * Bump debian/watch to version 4, drop dversionmangle.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 17 Nov 2020 22:39:37 +0100

lzop (1.04-1) unstable; urgency=medium

  * New upstream release, merging our patches. Closes: #934856.
  * Adopt the package; thanks Peter for all the work! Closes: #946757.
  * Switch to dh short rules and debhelper compatibility level 12.
  * Switch to DEP5 debian/copyright.
  * Fix whitespace in debian/changelog.
  * Switch to secure URLs.
  * Set “Rules-Requires-Root: no”.
  * Add a repository on Salsa.
  * Standards-Version 4.4.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 21 Jan 2020 09:02:38 +0100

lzop (1.03-4) unstable; urgency=low

  * Fix build with GCC 6 (static-assert.patch) (closes: #812054)
  * Update standards version

 -- Peter Eisentraut <petere@debian.org>  Wed, 06 Jul 2016 03:43:45 +0000

lzop (1.03-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch src/miniacc.h to fix FTBFS on powerpc (Closes: #816757)

 -- Hilko Bengen <bengen@debian.org>  Sat, 05 Mar 2016 00:27:26 +0100

lzop (1.03-3.1) unstable; urgency=medium

  [ Hilko Bengen ]
  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTBFS for arm64: add autotools-dev to Build-Depends (Closes:
    #759452)

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Feb 2016 15:55:02 +0100

=== debian/control ===
Source: lzop
Section: utils
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), liblzo2-dev
Homepage: https://www.lzop.org/
Vcs-Browser: https://salsa.debian.org/debian/lzop
Vcs-Git: https://salsa.debian.org/debian/lzop.git
Rules-Requires-Root: no

Package: lzop
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fast compression program
 lzop is a compressor similar to gzip.  Its main advantages over gzip are
 much higher compression and decompression speed.  lzop was designed with
 the following goals in mind:
  1) reliability
  2) speed (both compression and decompression)
  3) reasonable drop-in compatibility with gzip
  4) portability

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -f debian/lzop/usr/share/doc/lzop/COPYING*
